# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))

import os
import time
from pathlib import Path

# -- Project information -----------------------------------------------------

project = "code_aster"
copyright = "1989-%s, EDF R&D - www.code-aster.org" % time.strftime("%Y")
author = ""
license = "License <a href='https://www.gnu.org/licenses/fdl.html' target='_blank'>GNU FDL</a>"

# The full version, including alpha/beta/rc tags
release = "1"

# -- General configuration ---------------------------------------------------
builddir = os.environ.get("DOC_ASTER_BUILD_DIR", "../_build")
buildpath = Path(builddir)

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = ["sphinx.ext.autosectionlabel", "sphinx.ext.intersphinx"]
project = "Documentation docAster"
pygments_style = "sphinx"

# Add any paths that contain templates here, relative to this directory.
templates_path = [str(buildpath.resolve() / "_templates")]

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = "fr"

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = []

source_suffix = ".rst"

# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = "pydata_sphinx_theme"

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ["_static"]
html_css_files = ["custom.css"]
html_title = "DocAster"

html_theme_options = {
    "use_edit_page_button": False,
    "navbar_center": ["topbar"],
    "navbar_align": "content",
    "navigation_with_keys": True,
    "logo": {
        "image_light": "_static/logo-light.png",
        "image_dark": "_static/logo-dark.png",
        "alt_text": "code_aster documentation - Home",
        "link": "../../../../manuals/man_u/other_pages/home/index.html",
    },
    "footer_start": ["copyright"],
    "footer_end": ["sphinx-theme-version"],
}
html_sidebars = {"**": ["leftbar"]}

# intersphinx mapping
doc_aster_baseurl = os.environ.get("DOC_ASTER_BASE_URL", builddir)
global_objects = buildpath / "objects_global.inv"
if global_objects.exists():
    intersphinx_mapping = {"DOC_ASTER": (doc_aster_baseurl, str(global_objects))}

tls_verify = bool(int(os.environ.get("DOC_ASTER_TLS_VERIFY", 1)))


def env_before_read_docs(app, env):
    # resize tabs for html
    env.settings["tab_width"] = 4


def setup(app):
    app.connect("env-updated", env_before_read_docs)


# latex
latex_engine = "xelatex"

imgmath_image_format = "svg"

imgmath_latex_args = ["--no-pdf"]

# Only run autosection for the page title.
# Otherwise, we have a huge number of duplicate links
autosectionlabel_maxdepth = 1
